<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAmAssetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('am_assets', function (Blueprint $table) {
            $table->id();
            $table->string('AssetNo');
            $table->string('ReferanceNo');
            $table->string('Salvage_value');
            $table->string('Asset');
            $table->string('Brand');
            $table->string('Model');
            $table->integer('Inventory');
            $table->string('Description');
            $table->string('Value');
            $table->string('SerialNo')->nullable();
            $table->date('PurchaseDate');
            $table->string('Vendor');
            $table->boolean('MaintenanceApplicable');
            $table->date('MaintenanceApplicableDate')->nullable();
            $table->boolean('LicenseApplicable');
            $table->date('LicenseApplicableDate')->nullable();
            $table->boolean('ExpireApplicable');
            $table->date('ExpireDate')->nullable();
            $table->boolean('RemindApplicable');
            $table->date('RemindDate')->nullable();
            $table->string('RemindText')->nullable();
            $table->string('EmployeeID');
            $table->string('Instruction')->nullable();
            $table->integer('RequestID');
            $table->integer('SiteID');
            $table->integer('BuildingID');
            $table->integer('FloorID');
            $table->integer('UnitID');
            $table->integer('RoomID');
            $table->integer('DepreciationID');
            $table->boolean('Status');
            $table->boolean('printbarcode_status')->default(false);






            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('am_assets');
    }
}
