<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Building;
use Modules\Am\Entities\Site;
use Modules\Am\Http\common\commonFeatures;

class BuildingController extends Controller
{
    use commonFeatures;


    public function allSite()
    {
        try {
            $sites = Site::all();
            $response =  $this->responseBody(true, "Building", "allSite", $sites);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Building", "allSite", $exception);
        }
        return $response;
    }



    public function save(Request $request)
    {
        try {

            $building = new Building();
            $building->Building = $request->get('building');
            $building->SiteID = $request->get('site');
            if ($building->save()) {
                $response =  $this->responseBody(true, "Building", "save", null);
            } else {
                $response =  $this->responseBody(false, "Building", "save", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Building", "save", $exception);
        }
        return $response;
    }

    public function update(Request $request, $id)
    {
        try {

            $building = Building::find($id);
            $building->Building = $request->get('building');
            $building->SiteID = $request->get('site');
            if ($building->update()) {
                $response =  $this->responseBody(true, "Building", "update", $request->get('building'));
            } else {
                $response =  $this->responseBody(false, "Building", "update", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Building", "update", $exception);
        }
        return $response;
    }


    public function delete(Request $request, $id)
    {
        try {

            $building = Building::find($id);
            if ($building->delete()) {
                $response =  $this->responseBody(true, "Building", "delete", $request->get('building'));
            } else {
                $response =  $this->responseBody(false, "Building", "delete", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Building", "delete", $exception);
        }
        return $response;
    }



    public function all()
    {
        try {
            $buildings = Building::all(['id AS thBuildingID', 'Building AS thBuildingName']);
            foreach ($buildings as $building) {

                $building->thBuildingView =  '<button type="button" class="btn btn-primary"   onclick="editBuilding(' . $building->thBuildingID . ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>';
                $building->thBuildingDelete = '<button type="button" class="btn btn-danger" onclick="deleteBuilding(' . $building->thBuildingID . ')"><i class="fa fa-trash" aria-hidden="true"></i></button>';
            }
            $response =  $this->responseBody(true, "Building", "all", $buildings);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Building", "all", $exception);
        }
        return $response;
    }



    public function getBuilding($id)
    {
        try {
            $building = Building::find($id);
            $response =  $this->responseBody(true, "Building", "getSite", $building);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Building", "getSite", $exception);
        }
        return $response;
    }

}
