<?php

namespace Modules\Am\Http\Controllers;

use App\Models\User;
use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Hash;
use Modules\Am\Http\common\commonFeatures;

class CreateUsersController extends Controller
{
    use commonFeatures;

    public function save(Request $request){

        $request->validate([
            'email' => ['required', 'email'],
            'username' => ['required'],
            'password' => ['required', 'confirmed','min:6'],
            ]);

        try {
            $User =new User();
            $User->name=$request->username;
            $User->email=$request->email;
            $User->password= Hash::make($request->password);
            $User->role=$request->userRole;
            $save=$User->save();

            if($save){
                return $this->responseBody(true, "User", "save", "");
            }
            else{
            return $this->responseBody(false, "User", "error", null);

            }
        }
         catch (Exception $exception) {
            return $this->responseBody(false, "UserRole", "error", $exception->getMessage());
        }
    }

}
