<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Building;
use Modules\Am\Entities\Floor;
use Modules\Am\Http\common\commonFeatures;

class FloorController extends Controller
{
   use commonFeatures;


    public function allBuilding()
    {
        try {
            $buildings = Building::all();
            $response =  $this->responseBody(true, "Floor", "allBuilding", $buildings);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Floor", "allBuilding", $exception);
        }
        return $response;
    }



    public function save(Request $request)
    {
        try {

            $floor = new Floor();
            $floor->Floor = $request->get('floor');
            $floor->BuildingID = $request->get('building');
            if ($floor->save()) {
                $response =  $this->responseBody(true, "Floor", "save", null);
            } else {
                $response =  $this->responseBody(false, "Floor", "save", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Floor", "save", $exception);
        }
        return $response;
    }

    public function update(Request $request, $id)
    {
        try {

            $floor = Floor::find($id);
            $floor->Floor = $request->get('floor');
            $floor->BuildingID = $request->get('building');
            if ($floor->update()) {
                $response =  $this->responseBody(true, "Floor", "update", null);
            } else {
                $response =  $this->responseBody(false, "Floor", "update", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Floor", "update", $exception);
        }
        return $response;
    }


    public function delete(Request $request, $id)
    {
        try {

            $floor = Floor::find($id);
            if ($floor->delete()) {
                $response =  $this->responseBody(true, "Floor", "delete", null);
            } else {
                $response =  $this->responseBody(false, "Floor", "delete", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Floor", "delete", $exception);
        }
        return $response;
    }



    public function all()
    {
        try {
            $floors = Floor::all(['id AS thFloorID', 'Floor AS thFloorName']);
            foreach ($floors as $floor) {

                $floor->thFloorView =  '<button type="button" class="btn btn-primary"  onclick="editFloor(' . $floor->thFloorID . ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>';
                $floor->thFloorDelete = '<button type="button" class="btn btn-danger" onclick="deleteFloor(' . $floor->thFloorID . ')"><i class="fa fa-trash" aria-hidden="true"></i></button>';
            }
            $response =  $this->responseBody(true, "Floor", "all", $floors);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Floor", "all", $exception);
        }
        return $response;
    }



    public function getFloor($id)
    {
        try {
            $floor = Floor::find($id);
            $response =  $this->responseBody(true, "Floor", "getSite", $floor);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Floor", "getSite", $exception);
        }
        return $response;
    }

}
