<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Am\Entities\Group2;
use Modules\Am\Entities\Group3;
use Modules\Am\Entities\InventoryItem;
use Modules\Am\Http\common\commonFeatures;

class InventoryItemController extends Controller
{
    use commonFeatures;

    public function save(Request $request){
        try {
            $InventoryItem =new InventoryItem();
            $InventoryItem->Name=$request->name;
            $InventoryItem->Unit=$request->unit;
            $InventoryItem->lifetime=$request->lifetime;
            $InventoryItem->Group1=$request->group1;
            $InventoryItem->Group2=$request->group2;
            $InventoryItem->Group3=$request->group3;
            $save=$InventoryItem->save();

            if($save){
                return $this->responseBody(true, "InventoryItem", "save", "");
            }
            else{
            return $this->responseBody(false, "InventoryItem", "error", null);

            }


        }
         catch (Exception $exception) {
            return $this->responseBody(false, "InventoryItem", "error", $exception->getMessage());
        }
    }
    public function update(Request $request){
        try {
            $InventoryItem =InventoryItem::find($request->id);
            $InventoryItem->Name=$request->name;
            $InventoryItem->Unit=$request->unit;
            $InventoryItem->lifetime=$request->lifetime;
            $InventoryItem->Group1=$request->group1;
            $InventoryItem->Group2=$request->group2;
            $InventoryItem->Group3=$request->group3;
            $save=$InventoryItem->save();

            if($save){
                return $this->responseBody(true, "InventoryItem", "Updated", "");
            }
            else{
            return $this->responseBody(false, "InventoryItem", "error", null);

            }


        }
         catch (Exception $exception) {
            return $this->responseBody(false, "InventoryItem", "error", $exception->getMessage());
        }
    }
    public function loadgroup2($id){
        try {
            $Group2 =Group2::where('Group1ID',$id)->get();

            return $this->responseBody(true, "Group2", "found", $Group2);
        }
         catch (Exception $exception) {
            return $this->responseBody(false, "Group2", "error", $exception->getMessage());
        }
    }
    public function loadgroup3($id){
        try {
            $Group3 =Group3::where('Group2ID',$id)->get();

            return $this->responseBody(true, "Group3", "found", $Group3);
        }
         catch (Exception $exception) {
            return $this->responseBody(false, "Group3", "error", $exception->getMessage());
        }
    }
    public function loadinventoryItem(){
        try {
                $InventoryItem=DB::table('am_inventoryitem')
                ->join('am_inventorygroup1', 'am_inventorygroup1.id', '=', 'am_inventoryitem.Group1')
                ->join('am_inventorygroup2', 'am_inventorygroup2.id', '=', 'am_inventoryitem.Group2')
                ->join('am_inventorygroup3', 'am_inventorygroup3.id', '=', 'am_inventoryitem.Group3')
                ->select('am_inventoryitem.*', 'am_inventorygroup1.Name as group1name', 'am_inventorygroup2.Name as group2name', 'am_inventorygroup3.Name as group3name')
                ->get();
                return $this->responseBody(true, "InventoryItem", "found",$InventoryItem );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "InventoryItem", "error", $exception->getMessage());
        }
    }
    public function deleteinventoryItem($id){
        try {
                $InventoryItem=InventoryItem::find($id)->delete();
                return $this->responseBody(true, "InventoryItem", "Deleted",null );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "InventoryItem", "error", $exception->getMessage());
        }
    }
    public function editinventoryItem($id){
        try {
                $InventoryItem=InventoryItem::find($id)->first();
                return $this->responseBody(true, "InventoryItem", "found",$InventoryItem );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "InventoryItem", "error", $exception->getMessage());
        }
    }

}
