<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Modules\Am\Entities\Department;
use Modules\Am\Entities\Employee;
use Modules\Am\Entities\PurchaceRequest;
use Modules\Am\Entities\Puchaserequestasset;
use Modules\Am\Entities\PurchaseRequestComment;
use Modules\Am\Entities\Purchaserequestquatation;
use Modules\Am\Http\common\commonFeatures;

class PurchasenewassestController extends Controller
{
    use commonFeatures;

    public function saveComment(Request $request){
        try {
            $purchaceRequestComment =new PurchaseRequestComment();
            $purchaceRequestComment->comment=$request->comment;
            $purchaceRequestComment->requestID=$request->reqidcomment;
            $purchaceRequestComment->userID=Auth::user('id')->id;
            $purchaceRequestComment->save();

            return $this->responseBody(true, "saveComment", "save", $request->reqidcomment);

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "saveComment", "error",$exception->getMessage());
        }
    }
    public function save(Request $request){
        try {
            $purchaceReques =new PurchaceRequest();
            $purchaceReques->RequestFrom=$request->RequestFrom;
            $purchaceReques->RequestBy=$request->RequestBy;
            $purchaceReques->RequestTo=$request->RequestTo;
            $purchaceReques->ApproveAuthority=$request->ApproveAuthority;
            $purchaceReques->Purpose=$request->Purpose;
            $purchaceReques->PurcahseType=$request->PurcahseType;
            $purchaceReques->JustificationDescription=$request->JustificationDescription;
            $purchaceReques->AssetImpact=$request->AssetImpact;
            $purchaceReques->AssetName = $request->name;
            $purchaceReques->Unit = $request->unit;
            $purchaceReques->Capacity = $request->model;
            $purchaceReques->Other = $request->capasity;
            $purchaceReques->CostOfUnits = $request->other;
            $purchaceReques->Model = $request->cost;
            $purchaceReques->Approval = 0;
            $save=$purchaceReques->save();


            return $this->responseBody(true, "purchaceRequest", "save",'');

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "purchaceRequest", "error", $exception->getMessage());
        }
    }
    public function update(Request $request){
        try {
            $purchaceReques =PurchaceRequest::find($request->hiddenid);
            $purchaceReques->RequestFrom=$request->RequestFrom;
            $purchaceReques->RequestBy=$request->RequestBy;
            $purchaceReques->RequestTo=$request->RequestTo;
            $purchaceReques->ApproveAuthority=$request->ApproveAuthority;
            $purchaceReques->Purpose=$request->Purpose;
            $purchaceReques->PurcahseType=$request->PurcahseType;
            $purchaceReques->JustificationDescription=$request->JustificationDescription;
            $purchaceReques->AssetImpact=$request->AssetImpact;
            $purchaceReques->AssetName = $request->name;
            $purchaceReques->Unit = $request->unit;
            $purchaceReques->Capacity = $request->model;
            $purchaceReques->Other = $request->capasity;
            $purchaceReques->CostOfUnits = $request->other;
            $purchaceReques->Model = $request->cost;
            $purchaceReques->Approval = 0;
            $save=$purchaceReques->save();


            return $this->responseBody(true, "purchaceRequest", "updated",'');

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "purchaceRequest", "error", $exception->getMessage());
        }
    }
    public function loadrequestedfromandto(){
        try {
            $Department =Department::all();

            return $this->responseBody(true, "loadrequestedfromandto", "found", $Department);
        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadrequestedfromandto", "error", $exception->getMessage());
        }
    }
    public function loademployee(){
        try {
            $Employee =Employee::all();

            return $this->responseBody(true, "loademployee", "found", $Employee);
        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loademployee", "error", $exception->getMessage());
        }
    }
    public function loademployeeapprove(){
        try {
            $Employee =Employee::where('ApprovalAuthority',1)->get();

            return $this->responseBody(true, "loademployeeapprove", "found", $Employee);
        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loademployeeapprove", "error", $exception->getMessage());
        }
    }
    public function loadRequest($id){
        try {
            $PurchaceRequest = PurchaceRequest::where('id',$id)->first();

            return $this->responseBody(true, "PurchaceRequest", "found", $PurchaceRequest);
        } catch (Exception $exception) {
            return $this->responseBody(false, "PurchaceRequest", "error", $exception->getMessage());
        }
    }
    function uploadQuote(Request $request){

        try {
            $file = $request->file('file');
            $file_name = $file->getClientOriginalName();
            $filename = uniqid() . '_' . time() . '.' . $file_name;
            $file->move(public_path('Quotations'), $filename);

            $Purchaserequestquatation = new Purchaserequestquatation();
            $Purchaserequestquatation->RequestID = $request->get('hiddenidmodel');
            $Purchaserequestquatation->ComapanyName = $request->company;
            $Purchaserequestquatation->discription = $request->discription;
            $Purchaserequestquatation->Warrenty = $request->warrenty;
            $Purchaserequestquatation->Price = $request->price;
            $Purchaserequestquatation->Condition = $request->Condition;
            $Purchaserequestquatation->Status = 0;
            $Purchaserequestquatation->Document = $filename;

            $Purchaserequestquatation->save();
            $responseBody = $this->responseBody(true, "attachment upload", "uploaded", 'ok');

        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "error", "upload", $exception->getMessage());
        }
        return response()->json(["data" => $responseBody]);
    }
    public function loadQuatation($id){
        try {

            $Purchaserequestquatation = Purchaserequestquatation::where('RequestID',$id)->get();


            $responseBody = $this->responseBody(true, "loadPurchaseRequestQuatation", "found",$Purchaserequestquatation );
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "loadPurchaseRequestQuatation", "error", $exception->getMessage());
        }

        return response()->json(["data" => $responseBody]);
    }
    public function deleteQuatation($id){
        try {

            $Purchaserequestquatation = Purchaserequestquatation::where('id',$id)->first();
            $file=$Purchaserequestquatation->Document;
            $file=public_path('Quotations').'/'.$file;
            if(file_exists($file)){
                unlink($file);
            }
            $Purchaserequestquatation->delete();

            $response =  $this->responseBody(true, "Purchaserequestquatation", "deleted",  $file);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Purchaserequestquatation", "delete error", $exception->getMessage());
        }
        return $response;
    }
    public function loadComments($id){
        try {

            // $comments = PurchaseRequestComment::where('requestID',$id)
            // ->get();
            $comments = DB::table('am_purchase_request_comment')
            ->join('users', 'users.id', '=', 'am_purchase_request_comment.userID')
            ->select('am_purchase_request_comment.*', 'users.name')
            ->get();

            $responseBody = $this->responseBody(true, "loadComments", "found",$comments );
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "loadComments", "error", $exception->getMessage());
        }

        return response()->json(["data" => $responseBody]);
    }
    public function aprove($id)
    {
        try {

            $PurchaceRequest = PurchaceRequest::find($id);
            $PurchaceRequest->Approval=1;
            $PurchaceRequest->save();

            $response =  $this->responseBody(true, "PurchaceRequest", "aproveed", null);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "PurchaceRequest", "aprove error", $exception->getMessage());
        }
        return $response;
    }
    public function reject($id)
    {
        try {

            $PurchaceRequest = PurchaceRequest::find($id);
            $PurchaceRequest->Approval=2;
            $PurchaceRequest->save();

            $response =  $this->responseBody(true, "PurchaceRequest", "rejected", null);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "PurchaceRequest", "reject error", $exception->getMessage());
        }
        return $response;
    }
    public function revice($id)
    {
        try {

            $PurchaceRequest = PurchaceRequest::find($id);
            $PurchaceRequest->Approval=3;
            $PurchaceRequest->save();

            $response =  $this->responseBody(true, "PurchaceRequest", "revice", null);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "PurchaceRequest", "revice error", $exception->getMessage());
        }
        return $response;
    }
    public function requestQuote($id)
    {
        try {

            $PurchaceRequest = PurchaceRequest::find($id);
            $PurchaceRequest->Approval=4;
            $PurchaceRequest->save();

            $response =  $this->responseBody(true, "PurchaceRequest", "requestQuote", null);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "PurchaceRequest", "requestQuote error", $exception->getMessage());
        }
        return $response;
    }

}
