<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Floor;
use Modules\Am\Entities\Room;
use Modules\Am\Http\common\commonFeatures;

class RoomController extends Controller
{
    use commonFeatures;

    public function allFloor()
    {
        try {
            $floors = Floor::all();
            $response =  $this->responseBody(true, "Room", "allFloor", $floors);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Room", "allFloor", $exception);
        }
        return $response;
    }



    public function save(Request $request)
    {
        try {

            $room = new Room();
            $room->Room = $request->get('room');
            $room->FloorID = $request->get('floor');
            if ($room->save()) {
                $response =  $this->responseBody(true, "Room", "save", null);
            } else {
                $response =  $this->responseBody(false, "Room", "save", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Room", "save", $exception);
        }
        return $response;
    }

    public function update(Request $request, $id)
    {
        try {

            $room = Room::find($id);
            $room->Room = $request->get('room');
            $room->FloorID = $request->get('floor');
            if ($room->update()) {
                $response =  $this->responseBody(true, "Room", "update", null);
            } else {
                $response =  $this->responseBody(false, "Room", "update", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Room", "update", $exception);
        }
        return $response;
    }


    public function delete(Request $request, $id)
    {
        try {

            $room = Room::find($id);
            if ($room->delete()) {
                $response =  $this->responseBody(true, "Room", "delete", null);
            } else {
                $response =  $this->responseBody(false, "Room", "delete", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Room", "delete", $exception);
        }
        return $response;
    }



    public function all()
    {
        try {
            $rooms = Room::all(['id AS thRoomID', 'Room AS thRoomName']);
            foreach ($rooms as $room) {

                $room->thRoomView =  '<button type="button" class="btn btn-primary"   onclick="editRoom(' . $room->thRoomID . ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>';
                $room->thRoomDelete = '<button type="button" class="btn btn-danger" onclick="deleteRoom(' . $room->thRoomID . ')"><i class="fa fa-trash" aria-hidden="true"></i></button>';
            }
            $response =  $this->responseBody(true, "Room", "all", $rooms);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Room", "all", $exception);
        }
        return $response;
    }



    public function getRoom($id)
    {
        try {
            $room = Room::find($id);
            $response =  $this->responseBody(true, "Room", "getRoom", $room);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Room", "getRoom", $exception);
        }
        return $response;
    }
}
