<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Site;
use Modules\Am\Http\common\commonFeatures;

class SiteController extends Controller
{
   use commonFeatures;


    public function save(Request $request)
    {
        try {

            $site = new Site();
            $site->Site = $request->get('site');
            if ($site->save()) {
                $response =  $this->responseBody(true, "Site", "save", $request->get('site'));
            } else {
                $response =  $this->responseBody(false, "Site", "save", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Site", "save", $exception);
        }
        return $response;
    }

    public function update(Request $request, $id)
    {
        try {

            $site = Site::find($id);
            $site->Site = $request->get('site');
            if ($site->update()) {
                $response =  $this->responseBody(true, "Site", "update", $request->get('site'));
            } else {
                $response =  $this->responseBody(false, "Site", "update", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Site", "update", $exception);
        }
        return $response;
    }


    public function delete(Request $request, $id)
    {
        try {

            $site = Site::find($id);
            if ($site->delete()) {
                $response =  $this->responseBody(true, "Site", "delete", $request->get('site'));
            } else {
                $response =  $this->responseBody(false, "Site", "delete", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Site", "delete", $exception);
        }
        return $response;
    }



    public function all()
    {
        try {
            $sites = Site::all(['id AS thSiteID', 'Site AS thSiteName']);
            foreach ($sites as $site) {

                $site->thSiteView =  '<button type="button" class="btn btn-primary"  onclick="editSite(' . $site->thSiteID . ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>';
                $site->thSiteDelete = '<button type="button" class="btn btn-danger" onclick="deleteSite(' . $site->thSiteID . ')"><i class="fa fa-trash" aria-hidden="true"></i></button>';
            }
            $response =  $this->responseBody(true, "Site", "all", $sites);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Site", "all", $exception);
        }
        return $response;
    }



    public function getSite($id)
    {
        try {
            $site = Site::find($id);
            $response =  $this->responseBody(true, "Site", "getSite", $site);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Site", "getSite", $exception);
        }
        return $response;
    }



   
}
