<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Floor;
use Modules\Am\Entities\Unit;
use Modules\Am\Http\common\commonFeatures;

class UnitController extends Controller
{
   use commonFeatures;


    public function allFloor()
    {
        try {
            $floors = Floor::all();
            $response =  $this->responseBody(true, "Unit", "allFloor", $floors);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Unit", "allFloor", $exception);
        }
        return $response;
    }



    public function save(Request $request)
    {
        try {

            $unit = new Unit();
            $unit->Unit = $request->get('unit');
            $unit->FloorID = $request->get('floor');
            if ($unit->save()) {
                $response =  $this->responseBody(true, "Unit", "save", null);
            } else {
                $response =  $this->responseBody(false, "Unit", "save", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Unit", "save", $exception);
        }
        return $response;
    }

    public function update(Request $request, $id)
    {
        try {

            $unit = Unit::find($id);
            $unit->Unit = $request->get('unit');
            $unit->FloorID = $request->get('floor');
            if ($unit->update()) {
                $response =  $this->responseBody(true, "Unit", "update", null);
            } else {
                $response =  $this->responseBody(false, "Unit", "update", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Unit", "update", $exception);
        }
        return $response;
    }


    public function delete(Request $request, $id)
    {
        try {

            $unit = Unit::find($id);
            if ($unit->delete()) {
                $response =  $this->responseBody(true, "Unit", "delete", null);
            } else {
                $response =  $this->responseBody(false, "Unit", "delete", "");
            }
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Unit", "delete", $exception);
        }
        return $response;
    }



    public function all()
    {
        try {
            $units = Unit::all(['id AS thUnitID', 'Unit AS thUnitName']);
            foreach ($units as $unit) {

                $unit->thUnitView =  '<button type="button" class="btn btn-primary"  onclick="editUnit(' . $unit->thUnitID . ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>';
                $unit->thUnitDelete = '<button type="button" class="btn btn-danger"  onclick="deleteUnit(' . $unit->thUnitID . ')"><i class="fa fa-trash" aria-hidden="true"></i></button>';
            }
            $response =  $this->responseBody(true, "Floor", "all", $units);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Floor", "all", $exception);
        }
        return $response;
    }



    public function getUnit($id)
    {
        try {
            $unit = Unit::find($id);
            $response =  $this->responseBody(true, "Unit", "getUnit", $unit);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Unit", "getUnit", $exception);
        }
        return $response;
    }



}
