console.log('assetListReport loading');


$(document).ready(function () {

    $('select').attr('disabled', true);


    $('#cbxSite').change(function () {

        if (this.checked) {
            $('#cmbSite').attr('disabled', false);
        } else {
            $('#cmbSite').attr('disabled', true);
        }

    });
    $('#cbxBuilding').change(function () {

        if (this.checked) {
            $('#cmbBuilding').attr('disabled', false);
        } else {
            $('#cmbBuilding').attr('disabled', true);
        }

    });
    $('#cbxFloor').change(function () {

        if (this.checked) {
            $('#cmbFloor').attr('disabled', false);
        } else {
            $('#cmbFloor').attr('disabled', true);
        }

    });
    $('#cbxUnit').change(function () {

        if (this.checked) {
            $('#cmbUnit').attr('disabled', false);
        } else {
            $('#cmbUnit').attr('disabled', true);
        }

    });
    $('#cbxRoom').change(function () {

        if (this.checked) {
            $('#cmbRoom').attr('disabled', false);
        } else {
            $('#cmbRoom').attr('disabled', true);
        }

    });


    $('#cmbSite').change(function () {

        $.ajax({
            type: 'GET',
            url: '/am/assetListReport/loadBuilding/' + this.value,
            async: false,
            success: function (response) {
                if (response.success) {
                    console.log(response);
                    var html = "";
                    $.each(response.result, function (index, value) {

                        html += '<option value="' + value.id + '" > ' + value.Building + ' </option>';
                    });
                    $('#cmbBuilding').html(html);
                }
            }, error: function (data) {
                console.log('something went wrong');
            }
        });

    });
    $('#cmbBuilding').change(function () {

        $.ajax({
            type: 'GET',
            url: '/am/assetListReport/loadFloor/' + this.value,
            async: false,
            success: function (response) {
                if (response.success) {
                    console.log(response);
                    var html = "";
                    $.each(response.result, function (index, value) {

                        html += '<option value="' + value.id + '" > ' + value.Floor + ' </option>';
                    });
                    $('#cmbFloor').html(html);
                }
            }, error: function (data) {
                console.log('something went wrong');
            }
        });

    });
    $('#cmbFloor').change(function () {

        $.ajax({
            type: 'GET',
            url: '/am/assetListReport/loadUnit/' + this.value,
            async: false,
            success: function (response) {
                if (response.success) {
                    console.log(response);
                    var html = "";
                    $.each(response.result, function (index, value) {

                        html += '<option value="' + value.id + '" > ' + value.Unit + ' </option>';
                    });
                    $('#cmbUnit').html(html);
                }
            }, error: function (data) {
                console.log('something went wrong');
            }
        });

        $.ajax({
            type: 'GET',
            url: '/am/assetListReport/loadRoom/' + this.value,
            async: false,
            success: function (response) {
                if (response.success) {
                    console.log(response);
                    var html = "";
                    $.each(response.result, function (index, value) {

                        html += '<option value="' + value.id + '" > ' + value.Room + ' </option>';
                    });
                    $('#cmbRoom').html(html);
                }
            }, error: function (data) {
                console.log('something went wrong');
            }
        });

    });


    $('#btnPrint').on('click', function () {

        var conditions =SetConditions();

        $.ajax({
            type: 'GET',
            url: '/am/assetListReport/loadData/',
            data: conditions,
            async: false,
            success: function(response){
                if (response.success) {
                    console.log(response)
                    makePage(response,'PRINT');

                }
            }, error: function(data){
                console.log('something went wrong');
            }
        });
    });
    $('#btnexport').on('click', function () {
        var conditions =SetConditions();

        $.ajax({
            type: 'GET',
            url: '/am/assetListReport/loadData/',
            data: conditions,
            async: false,
            success: function(response){
                if (response.success) {
                    console.log(response)
                    makePage(response,'EXPORT');
                }
            }, error: function(data){
                console.log('something went wrong');
            }
        });

    });

    loadSites();

});

function SetConditions() {
    var conditions = {
        "site": null,
        "building": null,
        "floor": null,
        "unit": null,
        "room": null,
    };


    if ($('#cbxSite').is(":checked")) {
        conditions.site = $('#cmbSite').val();
    }
    if ($('#cbxBuilding').is(":checked")) {
        conditions.building = $('#cmbBuilding').val();
    }
    if ($('#cbxFloor').is(":checked")) {
        conditions.floor = $('#cmbFloor').val();
    }
    if ($('#cbxUnit').is(":checked")) {
        conditions.unit = $('#cmbUnit').val();
    }
    if ($('#cbxRoom').is(":checked")) {
        conditions.room = $('#cmbRoom').val();
    }

    return conditions;
}
 




function loadSites() {
    $.ajax({
        type: 'GET',
        url: '/am/assetListReport/loadSites',
        async: false,
        success: function (response) {
            if (response.success) {
                console.log(response);
                var html = "";
                $.each(response.result, function (index, value) {

                    html += '<option value="' + value.id + '" > ' + value.Site + ' </option>';
                });
                $('#cmbSite').html(html);
            }
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}

function makePage(result, flag) {
    var Title = [
        { text: '\n' },
        { text: 'Asset Management System', alignment: 'center' },
    ];


    var Header = [
        {
            // logo: {
            //     path: 'assets/media/image/srilankan.png',
            //     width: 50,
            //     height: 30,
            //     alignment: 'left',
            // },
            content: [
                { text: 'Asset List Report', fontSize: 10, alignment: 'left', margin: [0, 0, 0, 10] },

            ]
        }
    ]


    var Body = [
        {
            table: {
                widths: [30, 50, '*', '*', '*'],
                headerRows: 1,
                body: reportBody(result),

            },
            margin: [0, 0],
        },
    ];



    var Footer = [
        {
            color: 'red',
            fontSize: 8,
            alignment: 'center',
            margin: [0, 0]
        }
    ];




    var page = new Page();
    page.setTitle(Title);
    page.setHeader(Header, Page.EVERY);
    page.setBody(Body);
    page.setFooter(Footer);
    if (flag == 'EXPORT') {
        page.export();
    } else if (flag == 'PRINT') {
        page.preview();
    }

}

function reportBody(result) {
    var body = [];
    body.push([
        { text: 'Asset  ID', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
        { text: 'Reference', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
        { text: 'Aseest  Name', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
        { text: 'Searial No', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
        { text: 'Purchase Date', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },


    ]);

    var result = result.result;

    var today = new Date();;
    for (i = 0; i < result.length; i++) {

        var duedate = new Date(result[i]['LicenseApplicableDate'])
        differance = new Date(duedate - today),
            days = differance / 1000 / 60 / 60 / 24;
        console.log(Math.round(days));

        body.push([
            { text: result[i]['AssetNo'], fontSize: 6, bold: true, alignment: 'center', border: [false, false, false, true] },
            { text: result[i]['ReferanceNo'], fontSize: 6, bold: true, alignment: 'center', border: [false, false, false, true] },
            { text: result[i]['Asset'], fontSize: 6, bold: true, alignment: 'center', border: [false, false, false, true] },
            { text: result[i]['SerialNo'], fontSize: 6, bold: true, alignment: 'center', border: [false, false, false, true] },
            { text: result[i]['PurchaseDate'], fontSize: 6, bold: true, alignment: 'center', border: [false, false, false, true] },
        ]);
    }


    return body;
}
