console.log('createUser.js');

$(document).ready(function () {

    $('#btnsave').on('click', function () {
        var form = $('#dform').get(0);
        var data = new FormData(form);

        if($('#btnsave').text().trim()=='Save'){
            save(data);
        }
        else{
            update(data);
        }

    });

    loaduserRole();
});

function loaduserRole(){
    $.ajax({
        type: 'GET',
        url: '/am/userrole/loaduserrole',
        success: function(response){
            console.log(response.result)
            if (response.success) {

                var html = "";
                $.each(response.result, function(index, value){

                    html += '<option value="'+value.id+'" > '+value.name+' </option>';
                });
                $('#cmbuserRole').html(html);
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}



function save(data) {

    $.ajax({
        type: "POST",
        url: "/am/createuser/save",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if(response.success){
                toastr.success('data saved');
                reset();
            }
        },
        error: function (error) {
            if (error.status == 422) { // when status code is 422, it's a validation issue
                console.log(error.responseJSON);

                toastr.error(error.responseJSON.message);

                // display errors on each form field
                $.each(error.responseJSON.errors, function (i, error) {
                    toastr.warning(error[0]);
                });
            }else{
                toastr.error('Something went wrong');
            }
        },
        complete: function () {
        }

    });

}
function update(data) {

    $.ajax({
        type: "POST",
        url: "/am/vendor/update",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if(response.success){
                toastr.success('data Updated');
                reset();
                loadvendor();
                $('#btnsave').text('Save');
            }
        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');

        },
        complete: function () {

        }

    });

}
function reset(){
    $('#txtuserame').val('');
    $('#txtemail').val('');
    $('#txtpassword').val('');
    $('#txtpassword_confirmation').val('');
}

