
var designationID = null;
$(document).ready(function () {

    $('#tblDesignation').DataTable({
        responsive: true,
        "order": [],
        "columns": [
            { "data": "thID" },
            { "data": "thName" },
            { "data": "thView" },
            { "data": "thDelete" },
        ],
        columnDefs: [
            { width: 80, targets: 0 },
            { width: 30, targets: 2 },
            { width: 30, targets: 3 },
        ],
    });
    all();


    $('#btnAdd').on('click', function () {
        $('#btnSave').text('Save');
        $('#designationModal').modal('toggle');
    });


    $('#btnSave').on('click', function () {
        if ($(this).text() == 'Save') {
            save();
        } else if ($(this).text() == 'Update') {
            update(designationID);
        }
        all();
    });

    $('#btnexpt').on('click', function () {
        ExportExcel('xlsx');
    });

});

function ExportExcel(type, fn, dl) {
    var elt = document.getElementById('tblDesignation');
    var wb = XLSX.utils.table_to_book(elt, { sheet: "Sheet JS" });
    return dl ?
        XLSX.write(wb, { bookType: type, bookSST: true, type: 'base64' }) :
        XLSX.writeFile(wb, fn || ('Designations.' + (type || 'xlsx')));
}

function all() {
    $.ajax({
        type: "GET",
        url: '/am/designation/all',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            var table = $('#tblDesignation').DataTable();
            table.clear();
            table.rows.add(response.result).draw();


        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });
}


function save() {
    var httpFormData = new HttpRequestFormData();
    httpFormData.put('name', $('#txtDesignation'), true);
    httpFormData.setRoute('/am/designation/save');
    if (httpFormData.validate()) {
        httpFormData.save();
        httpFormData.reset();
        $('#designationModal').modal('hide');
    }
}


function edit(id) {
    designationID = id;
    $('#btnSave').text('Update');
    var httpFormData = new HttpRequestFormData();
    httpFormData.setId(id);
    httpFormData.setRoute('/am/designation/get');
    var response = httpFormData.get();
    if (response != null) {
        $('#txtDesignation').val(response.result.Name);
    }
    $('#designationModal').modal('toggle');

}


function update(id) {
    var httpFormData = new HttpRequestFormData();
    httpFormData.setId(id);
    httpFormData.put('name', $('#txtDesignation'), true);
    httpFormData.setRoute('/am/designation/update');
    if (httpFormData.validate()) {
        httpFormData.update();
        httpFormData.reset();
        $('#designationModal').modal('hide');
        all();
    }
}

function _delete(id) {
    var httpFormData = new HttpRequestFormData();
    httpFormData.setId(id);
    httpFormData.setRoute('/am/designation/delete');
    httpFormData.delete();
    all();

}











