console.log('inventoryItem.js');

$(document).ready(function () {


    $('#tblinventory').DataTable({
        responsive: true,
        "order": [],
        "columns": [
          { "data": "thid" },
          { "data": "thname" },
          { "data": "thunit" },
          { "data": "thgroup1" },
          { "data": "thgroup2" },
          { "data": "thgroup3" },
          { "data": "edit" },
          { "data": "delete" },
        ],
    });
    $('#btnsave').on('click', function () {
        var form = $('#dform').get(0);
        var data = new FormData(form);

        if($('#btnsave').text().trim()=='Save'){
            save(data);
        }
        else{
            update(data);
        }

    });
    $('#cmbgroup1').on('change', function () {
        var id=this.value;
        loadgroup2(id);
        $('#cmbgroup3').html('');

    });
    $('#cmbgroup2').on('change', function () {
        var id=this.value;
        loadgroup3(id);
    });

    $('#btnexpt').on('click', function () {
        ExportExcel('xlsx');
    });


    loadgroup1();
    loadinventoryItem();
});

function ExportExcel(type, fn, dl) {
    var elt = document.getElementById('tblinventory');
    var wb = XLSX.utils.table_to_book(elt, {sheet:"Sheet JS"});
    return dl ?
       XLSX.write(wb, {bookType:type, bookSST:true, type: 'base64'}) :
       XLSX.writeFile(wb, fn || ('InventoryItems.' + (type || 'xlsx')));
}

function loadgroup1(){
    $.ajax({
        type: 'GET',
        url: '/am/group2/loadgroup1',
        success: function(response){
            console.log(response.result)
            if (response.success) {
                var html = "";
                $.each(response.result, function(index, value){

                    html += '<option value="'+value.id+'" > '+value.Name+' </option>';
                });
                $('#cmbgroup1').html(html);

            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}

function loadgroup2(id){
    $.ajax({
        type: 'GET',
        url: '/am/inventoryItem/loadgroup2/'+id,
        async:false,
        success: function(response){
            console.log(response.result)
            if (response.success) {
                var html = "";
                $.each(response.result, function(index, value){

                    html += '<option value="'+value.id+'" > '+value.Name+' </option>';
                });
                $('#cmbgroup2').html(html);

            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}

function loadgroup3(id){
    $.ajax({
        type: 'GET',
        url: '/am/inventoryItem/loadgroup3/'+id,
        async:false,
        success: function(response){
            console.log(response.result)
            if (response.success) {
                var html = "";
                $.each(response.result, function(index, value){

                    html += '<option value="'+value.id+'" > '+value.Name+' </option>';
                });
                $('#cmbgroup3').html(html);

            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}

function save(data) {

    $.ajax({
        type: "POST",
        url: "/am/inventoryItem/save",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if(response.success){
                toastr.success('data saved');
                 loadinventoryItem();

                reset();
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');

        },
        complete: function () {

        }

    });

}
function update(data) {

    $.ajax({
        type: "POST",
        url: "/am/inventoryItem/update",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if(response.success){
                toastr.success('data saved');
              loadinventoryItem();

                reset();
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');

        },
        complete: function () {

        }

    });

}

function loadinventoryItem(){
    $.ajax({
        type: 'GET',
        url: '/am/inventoryItem/loadinventoryItem',
        success: function(response){
            console.log(response.result)
            if (response.success) {

                var data = [];
                for (i = 0; i < response.result.length; i++) {
                    var id  = response.result[i]['id'];
                    var name  = response.result[i]['Name'];
                    var unit  = response.result[i]['Unit'];
                    var group1name  = response.result[i]['group1name'];
                    var group2name  = response.result[i]['group2name'];
                    var group3name  = response.result[i]['group3name'];

                    data.push({
                        "thid": id,
                        "thname":name,
                        "thunit":unit,
                        "thgroup1":group1name,
                        "thgroup2":group2name,
                        "thgroup3":group3name,
                        "edit": '<button class="btn btn-primary" onclick="edit(' + id + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                        "delete": '<button class="btn btn-danger" onclick="_delete(' + id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>'
                     });
                }

                var table = $('#tblinventory').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}

function _delete(id) {
    $.ajax({
        type: 'DELETE',
        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
        url: '/am/inventoryItem/deleteinventoryItem/'+id,
        success: function(response){
              console.log(response);
              loadinventoryItem();


        }, error: function(data){
            console.log('something went wrong');
        }
    });
}
function edit(id) {

    $.ajax({
        type: 'GET',
        url: '/am/inventoryItem/loadinventoryItem/'+id,
        async:false,
        success: function(response){
            console.log(response.result)
            if (response.success) {
                var group2id=response.result.Group2
                var group3id=response.result.Group3

                $('#txtName').val(response.result.Name);
                $('#txtUnit').val(response.result.Unit);
                $('#txtLifeTime').val(response.result.lifetime);
                $('#txtID').val(response.result.id);
                $('#cmbgroup1').val(response.result.Group1);
                loadgroup2(response.result.Group1);
                loadgroup3(group2id);
                setSelectedOption('cmbgroup2',group2id);
                setSelectedOption('cmbgroup3',group3id);

                $('#btnsave').text('Update');
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });

}

function setSelectedOption(id, valueToSelect) {
    let element = document.getElementById(id);
    element.value = valueToSelect;
}

function reset(){
    $('#txtName').val('');
    $('#txtUnit').val('');

}

