console.log('inventoryactivelist.js');

$(document).ready(function () {

    $('#tblinventory').DataTable({
        responsive: true,
        "order": [],
        "columns": [
          { "data": "thid" },
          { "data": "thname" },
          { "data": "thcount" },
          { "data": "view" },
        ],
    });
    loadinventoryItems();

    $('#btnexpt').on('click', function () {
        ExportExcel('xlsx');
    });
});

function ExportExcel(type, fn, dl) {
    var elt = document.getElementById('tblinventory');
    var wb = XLSX.utils.table_to_book(elt, {sheet:"Sheet JS"});
    return dl ?
       XLSX.write(wb, {bookType:type, bookSST:true, type: 'base64'}) :
       XLSX.writeFile(wb, fn || ('ActiveInventoryItems.' + (type || 'xlsx')));
}

function loadinventoryItems(){
    $.ajax({
        type: 'GET',
        url: '/am/inventoryactivelist/loadinventoryItems',
        success: function(response){
            console.log(response.result)
            if (response.success) {

                var data = [];
                for (i = 0; i < response.result.length; i++) {

                    var id  = response.result[i]['id'];
                    var invcount  = response.result[i]['invcount'];
                    var name  = response.result[i]['name'];

                    data.push({
                        "thid": id,
                        "thname":name,
                        "thcount":invcount,
                        "view": '<button class="btn btn-success" onclick="view(' + id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                     });
                }

                var table = $('#tblinventory').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}

function view(id) {
    location.href = "/am/activeAssetList?" + id + "&view";
}
