
var roomID = null;
$(document).ready(function () {

    $('#tblRoom').DataTable({
        responsive: true,
        "order": [],
        "columns": [
            { "data": "thRoomID" },
            { "data": "thRoomName" },
            { "data": "thRoomView" },
            { "data": "thRoomDelete" },
        ],
        columnDefs: [
            { width: 80, targets: 0 },
            { width: 30, targets: 2 },
            { width: 30, targets: 3 },
        ],
    });
    allRoom();



    $('#btnRoom').on('click', function (event) {

        var request = new RequestFormData();
        request.setFormData({ 'floor': $('#cmbFloorRoom').val(), 'room': $('#txtRoom').val() });

        if ($(this).text() == 'Save') {

            request.setRoute('/am/room/save');

            if (request.save()) {
                toastr.success('data saved');
            } else {
                toastr.error('Something went wrong');
            }


        } else if ($(this).text() == 'Update') {

            request.setID(roomID);
            request.setRoute('/am/room/update');

            if (request.update()) {
                toastr.success('data updated');
            } else {
                toastr.error('Something went wrong');
            }


        }
        allRoom();

    });

    $('#pills-room-tab').on('click', function () {
        loadAllFloorRoom_Combo();
    });

});

function loadAllFloorRoom_Combo() {
    $.ajax({
        type: "GET",
        url: '/am/room/allFloor',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#cmbFloorRoom').empty();
            for (var i = 0; i < response.result.length; i++) {
                $('#cmbFloorRoom').append('<option value="' + response.result[i].id + '">' + response.result[i].Floor + '</option>');
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}



function allRoom() {
    $.ajax({
        type: "GET",
        url: '/am/room/all',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            var table = $('#tblRoom').DataTable();
            table.clear();
            table.rows.add(response.result).draw();


        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

    resetRoom();
}







function editRoom(id) {
    getRoom(id);
}

function deleteRoom(id) {
    var request = new RequestFormData();
    request.setID(id);
    request.setRoute('/am/room/delete');
    var status = request._delete();
    if (status) {
        toastr.success('data deleted');
    } else {
        toastr.error('Something went wrong');
    }
    allRoom();
}




function getRoom(id) {
    $.ajax({
        type: "GET",
        url: '/am/room/getRoom/' + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.success) {
                $('#txtRoom').val(response.result.Room);
                roomID = response.result.id;
                floorID = response.result.FloorID;
                $('#btnRoom').text('Update');
                setSelectedOption('cmbFloorRoom', floorID);
            } else {
                toastr.error('Something went wrong');
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });
}



function resetRoom() {
    $("#LocationForm").get(0).reset();
    $('#btnRoom').text('Save');
}


function setSelectedOption(id, valueToSelect) {
    let element = document.getElementById(id);
    element.value = valueToSelect;
}