
var unitID = null;
$(document).ready(function () {

    $('#tblUnit').DataTable({
        responsive: true,
        "order": [],
        "columns": [
            { "data": "thUnitID" },
            { "data": "thUnitName" },
            { "data": "thUnitView" },
            { "data": "thUnitDelete" },
        ],
        columnDefs: [
            { width: 80, targets: 0 },
            { width: 30, targets: 2 },
            { width: 30, targets: 3 },
        ],
    });
    allUnit();



    $('#btnUnit').on('click', function (event) {

        var request = new RequestFormData();
        request.setFormData({ 'floor': $('#cmbFloor').val(), 'unit': $('#txtUnit').val() });

        if ($(this).text() == 'Save') {

            request.setRoute('/am/unit/save');

            if (request.save()) {
                toastr.success('data saved');
            } else {
                toastr.error('Something went wrong');
            }


        } else if ($(this).text() == 'Update') {

            request.setID(unitID);
            request.setRoute('/am/unit/update');

            if (request.update()) {
                toastr.success('data updated');
            } else {
                toastr.error('Something went wrong');
            }


        }
        allUnit();

    });

    $('#pills-unit-tab').on('click', function () {
        loadAllFloor_Combo();
    });

});

function loadAllFloor_Combo() {
    $.ajax({
        type: "GET",
        url: '/am/unit/allFloor',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#cmbFloor').empty();
            for (var i = 0; i < response.result.length; i++) {
                $('#cmbFloor').append('<option value="' + response.result[i].id + '">' + response.result[i].Floor + '</option>');
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}



function allUnit() {
    $.ajax({
        type: "GET",
        url: '/am/unit/all',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            var table = $('#tblUnit').DataTable();
            table.clear();
            table.rows.add(response.result).draw();


        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

    resetUnit();
}







function editUnit(id) {
    getUnit(id);
}

function deleteUnit(id) {
    var request = new RequestFormData();
    request.setID(id);
    request.setRoute('/am/unit/delete');
    var status = request._delete();
    if (status) {
        toastr.success('data deleted');
    } else {
        toastr.error('Something went wrong');
    }
    allUnit();
}




function getUnit(id) {
    $.ajax({
        type: "GET",
        url: '/am/unit/getUnit/' + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.success) {
                $('#txtUnit').val(response.result.Unit);
                unitID = response.result.id;
                floorID = response.result.FloorID;
                $('#btnUnit').text('Update');
                setSelectedOption('cmbFloor', floorID);
            } else {
                toastr.error('Something went wrong');
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });
}



function resetUnit() {
    $("#LocationForm").get(0).reset();
    $('#btnUnit').text('Save');
}


function setSelectedOption(id, valueToSelect) {
    let element = document.getElementById(id);
    element.value = valueToSelect;
}