console.log('purchasenewassestlist.js');

$(document).ready(function () {

    $('#tblgroup1').DataTable({
        responsive: true,
        'columnDefs': [{
            "targets": [0, 1, 2, 3, 4, 5],
            "className": "text-center",
        }],
        "order": [],
        "columns": [
            { "data": "thno" },
            { "data": "thinvname" },
            { "data": "aprovestate" },
            { "data": "edit" },
            { "data": "view" },
            { "data": "delete" },


        ],
    });

    loadrequests();

    $('#btnexpt').on('click', function () {
        ExportExcel('xlsx');
    });

});

function ExportExcel(type, fn, dl) {
    var elt = document.getElementById('tblgroup1');
    var wb = XLSX.utils.table_to_book(elt, {sheet:"Sheet JS"});
    return dl ?
       XLSX.write(wb, {bookType:type, bookSST:true, type: 'base64'}) :
       XLSX.writeFile(wb, fn || ('purchaseNewAsset.' + (type || 'xlsx')));
}

function loadrequests() {
    $.ajax({
        type: 'GET',
        url: '/am/purchasenewassestlist/loadrequests',
        success: function (response) {
            console.log(response.result)
            if (response.success) {

                var data = [];
                for (i = 0; i < response.result.length; i++) {
                    var name = response.result[i]['AssetName'];
                    var id = response.result[i]['id'];
                    var Approval = response.result[i]['Approval'];

                    //formating the number to 6 digits
                    let formattedNumber = id.toLocaleString('en-US', {
                        minimumIntegerDigits: 6,
                        useGrouping: false
                    })
                    formattedNumber = 'R' + formattedNumber;

                    if (Approval == 1) {
                        data.push({
                            "thno": formattedNumber,
                            "thinvname": name,
                            "aprovestate": '<span class="badge badge-success"><i class="ti-check-box mr-2" ></i> Approved</span>',
                            "edit": '',
                            "view": '<button class="btn btn-success" onclick="view(' + id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                            "delete": ''
                        });
                    }
                    else if (Approval == 2) {
                        data.push({
                            "thno": formattedNumber,
                            "thinvname": name,
                            "aprovestate": '<span class="badge badge-danger"><i class="fa fa-times mr-2" ></i> Rejected</span>',
                            "edit": '',
                            "view": '<button class="btn btn-success" onclick="view(' + id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                            "delete": ''
                        });
                    }
                    else if (Approval == 3) {
                        data.push({
                            "thno": formattedNumber,
                            "thinvname": name,
                            "aprovestate": '<span class="badge badge-warning"><i class="fa fa-times mr-2" ></i> Revice</span>',
                            "edit": '<button class="btn btn-primary" onclick="edit(' + id + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                            "view": '<button class="btn btn-success" onclick="view(' + id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                            "delete": '<button class="btn btn-danger" onclick="_delete(' + id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>'
                        });
                    }
                    else if (Approval == 4) {
                        data.push({
                            "thno": formattedNumber,
                            "thinvname": name,
                            "aprovestate": '<span class="badge badge-primary"><i class="ti-check-box mr-2" ></i> Quatation Neaded</span>',
                            "edit": '<button class="btn btn-primary" onclick="edit(' + id + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                            "view": '<button class="btn btn-success" onclick="view(' + id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                            "delete": '<button class="btn btn-danger" onclick="_delete(' + id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>'
                        });
                    }
                    else {
                        data.push({
                            "thno": formattedNumber,
                            "thinvname": name,
                            "aprovestate": '<span class="badge badge-info"><i class="fa fa-clock-o mr-2" > Pending</span>',
                            "edit": '',
                            "view": '<button class="btn btn-success" onclick="view(' + id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                            "delete": '<button class="btn btn-danger" onclick="_delete(' + id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>'
                        });
                    }


                }

                var table = $('#tblgroup1').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}
function aprove(id) {
    $.ajax({
        type: 'POST',
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        url: '/am/purchasenewassestlist/aprove/' + id,
        success: function (response) {
            console.log(response.result)
            if (response.success) {
                toastr.success('Request Approved');
                loadrequests();
            }
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}


function reject(id) {
    $.ajax({
        type: 'POST',
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        url: '/am/purchasenewassestlist/reject/' + id,
        success: function (response) {
            console.log(response.result)
            if (response.success) {
                toastr.warning('Request Rejected');

                loadrequests();
            }
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}


function _delete(id) {
    $.ajax({
        type: 'DELETE',
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        url: '/am/purchasenewassestlist/delete/' + id,
        success: function (response) {
            console.log(response);

            if (response.success) {
                toastr.error('Request Deleted');
                loadrequests();
            }
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}


function view(id) {
    location.href = "/am/purchasenewassest?" + id + "&view";
}
function edit(id) {

    location.href = "/am/purchasenewassest?" + id;

}

