@extends('am::layouts.app')

@section('head')
    <!-- DataTable -->
    <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    <script type="text/javascript" src="https://unpkg.com/xlsx@0.15.1/dist/xlsx.full.min.js"></script>

    <meta name="csrf-token" content="{{ csrf_token() }}">

@endsection

@section('content')
    <div class="page-header">
        <div>
            <h3>Active Asset List</h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="#">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="#">Inventory List</a>
                    </li>
                    <li class="breadcrumb-item active"  aria-current="page">Active Asset List</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">

                        <table id="tblAssets" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                            <thead>
                                <tr>
                                    <tr>
                                        <th style="display: none" class="thid"> #</th>
                                        <th class="assetnum"> Asset No</th>
                                        <th class="assetname"> Asset Name</th>
                                        <th class="serialno"> Serial No</th>
                                        <th class="purchaseDate"> Purchase Date</th>
                                        <th class="view"> View</th>
                                        <th class="edit"> Edit</th>
                                    </tr>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <button id="btnexpt" type="button" class="btn btn-primary mr-2">Export</button>


@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
    <!-- DataTable -->
    <script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
    <script src="{{ url('assets/js/examples/datatable.js') }}"></script>
    <script src="{{ url('vendors/dropzone/dropzone.js') }}"></script>
    <!-- Prism -->
    <script src="{{ url('vendors/prism/prism.js') }}"></script>

    <!-- my script  -->
    <script src="{{ Module::asset('am:js/activeAssetList.js') }}?random=<?php echo uniqid(); ?>"></script>



@endsection
