@extends('am::layouts.app')

@section('head')
<!-- Prism -->
<link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
<!-- DataTable -->
<link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
<script type="text/javascript" src="https://unpkg.com/xlsx@0.15.1/dist/xlsx.full.min.js"></script>
<meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('content')

<div class="page-header">
    <div>
        <h3>Departments</h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>

                <li class="breadcrumb-item active" aria-current="page">Departments</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">

        <div class="card">
            <div class="card-body">
                <h6 class="card-title">Department</h6>
                <div class="row">
                    <div class="col-md-2">
                        <button type="button" class="btn btn-primary" id="btnAdd">Add</button>
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-md-12 mt-2">
                        <div class="table-responsive">
                            <table id="tblDepartment" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                                <thead>
                                    <tr>
                                        <th class="thID">#</th>
                                        <th class="thName">Department</th>
                                        <th class="thView">View</th>
                                        <th class="thDelete">Delete</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <button id="btnexpt" type="button" class="btn btn-primary mr-2">Export</button>

                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<div class="modal fade" id="departmentModal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="settingsAddModalTitle">Add Department</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <i class="ti-close"></i>
                </button>
            </div>
            <form method="POST" id="myForm">
                <div class="modal-body" id="departmentModalBody">
                    <div class="row">
                        <div class="col-md-12 mb-3">
                            <label>Department</label>
                            <input type="text" id="txtDepartment" class="form-control" placeholder="Department">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Close
                    </button>
                    <button type="button" class="btn btn-primary" id="btnSave">Save</button>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<!-- DataTable -->
<script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
<script src="{{ Module::asset('am:js/HttpRequestFormData.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('am:js/department.js') }}?random=<?php echo uniqid(); ?>"></script>



@endsection
