@extends('am::layouts.app')

@section('head')
    <!-- DataTable -->
    <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/pdfmake.js" integrity="sha512-rn5JpU98RtYVMtZeQJfzmJ67rl4/dqDpGZ393z5f9WMYHXEU4+8Stm/PQAma2gbsLbpClmUHJzT0DaG32OmEyQ==" crossorigin="anonymous"></script>
    <!-- AutoComplete -->
    <link rel="stylesheet" href="{{ Module::asset('am:js/autocomplete/css/autocomplete.min.css') }}" type="text/css">
    <meta name="csrf-token" content="{{ csrf_token() }}">

@endsection

@section('content')

<div class="page-header">
    <div>
        <h3>Form Page</h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>

                <li class="breadcrumb-item active" aria-current="page">Print Barcode Lables</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">

        <div class="card">
            <div class="card-body">
                <h6 class="card-title">Print Barcode Lables</h6>
                <div class="form-row">
                    <div class="col-md-6 mb-3">
                        <label for="validationCustom03">Asset #</label>
                        <input type="hidden" class="form-control" id="hiddenassetid" name="hiddenassetid" >

                        <input type="text" class="form-control  auto-complete" id="txtassetno" name="assetno" placeholder="Asset no" required="">
                        <div class="invalid-feedback">
                            Please provide a valid city.
                        </div>
                    </div>
                    <div class="col-md-6 mb-3">
                        <label for="validationCustom03">Asset name</label>
                        <input type="text" class="form-control  auto-complete" id="txtassetname" name="assetname" placeholder="asset name" required="">
                        <div class="invalid-feedback">
                            Please provide a valid city.
                        </div>
                    </div>
                </div>


                <button class="btn btn-primary" type="button" id="btnAdd">Add</button>

            </div>
        </div>

    </div>
</div>
<div class="row">
    <div class="col-md-12">

        <div class="card">
            <div class="card-body">
                <h6 class="card-title">Barcodes</h6>
                <div class="table-responsive">
                    <table id="tblPrintbarcodeList" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                        <thead>
                            <tr>
                                <th class="thname"> Name</th>
                                <th class="thdate"> Purchase Date</th>
                                <th class="threferance"> Referance No</th>
                                <th class="thSelect">  <input onchange="selectAll()" type="checkbox" id="selectall" name="vehicle1" value="Bike"></th>


                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
                <button class="btn btn-primary" type="button" id="btnPrint">Print</button>

                <div class="form-row">
                    <div class="col-md-6 mb-3">
                        <canvas id="barcode"></canvas>
                    </div>
                    <div class="col-md-6 mb-3">

                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<!-- DataTable -->
<script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
<script src="{{ url('assets/js/examples/datatable.js') }}"></script>
<!-- Prism -->
<script src="{{ url('vendors/prism/prism.js') }}"></script>
<!-- AutoComplete -->
<script src="{{ Module::asset('am:js/autocomplete/js/autocomplete.min.js') }}?random=<?php echo uniqid(); ?>"></script>

<!-- my script  -->
<script src="{{ Module::asset('am:js/printBarcodeLable.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('am:js/pdf/Page.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('am:js/pdf/PDFViewer.js') }}?random=<?php echo uniqid(); ?>"></script>


{{-- <script src="{{ url('assets/js/pdf/Page.js') }}?random=<?php echo uniqid(); ?>"></script> --}}
{{-- <script src="{{ url('assets/js/pdf/PDFViewer.js') }}?random=<?php echo uniqid(); ?>"></script> --}}


@endsection
